Foxit PDF SDK

Public Member Functions | Static Public Member Functions | List of all members
FoxitPDFSDKPython3.FormXObject Class Reference
Inheritance diagram for FoxitPDFSDKPython3.FormXObject:

## Public Member Functions
def | GetGraphicsObjects ()
| Get graphics objects that associated with current form XObject. More...
def | GetStream ()
| Get stream. More...
def | ImportPageContent (source_page, is_annots_included)
| Import page content from a specified PDF page to current form XObject. More...
Public Member Functions inherited from FoxitPDFSDKPython3.GraphicsObject
def | AddClipPath (path, fill_mode)
| Add a path for clipping. More...
def | AddClipTextObject (textobject)
| Add text object for clipping. More...
def | ClearClips ()
| Clear all clips. More...
def | Clone ()
| Clone a new graphics object. More...
def | GetBlendMode ()
| Get the blend mode for transparent imaging model. More...
def | GetClipPath (index)
| Get a path clip by index. More...
def | GetClipPathCount ()
| Get the count of path clip. More...
def | GetClipPathFillMode (index)
| Get the fill mode of a path clip by index. More...
def | GetClipRect ()
| Get clip rectangle. More...
def | GetClipTextObject (index)
| Get the text object of a text clip by index. More...
def | GetClipTextObjectCount ()
| Get the count of text clip. More...
def | GetColorState ()
| Get color state. More...
def | GetFillColor ()
| Get the fill color. More...
def | GetFillOpacity ()
| Get the opacity value for painting operations other than stroking. More...
def | GetFormXObject ()
| Get the form XObject graphics object if current graphics object represents a form XObject object. More...
def | GetGraphState ()
| Get graph state. More...
def | GetImageObject ()
| Get the image graphics object if current graphics object represents an image object. More...
def | GetLayers (layer_tree)
| Get all the layers which are associated with current graphics object. More...
def | GetMarkedContent ()
| Get marked content object. More...
def | GetMatrix ()
| Get matrix. More...
def | GetPathObject ()
| Get the path graphics object if current graphics object represents a path object. More...
def | GetRect ()
| Get the rectangle of current graphics object. More...
def | GetShadingObject ()
| Get the shading graphics object if current graphics object represents a shading object. More...
def | GetStrokeColor ()
| Get the stroke color. More...
def | GetStrokeOpacity ()
| Get opacity value for stroke painting operations for paths and glyph outlines. More...
def | GetTextObject ()
| Get the text graphics object if current graphics object represents a text object. More...
def | GetType ()
| Get the type of current graphics object. More...
def | HasTransparency ()
| Check whether current graphics object has transparency or not. More...
def | Release ()
| Release a cloned or newly created PDF graphics object which has not been inserted into any PDF page or other object. More...
def | RemoveClipPath (index)
| Remove a path clip by index. More...
def | RemoveClipTextObject (index)
| Remove a text clip by index for clipping. More...
def | Rotate (angle)
| Rotate current graphics object from current state with specified angle degree in clockwise. More...
def | SetBlendMode (blend_mode)
| Set the blend mode for transparent imaging model. More...
def | SetClipRect (clip_rect)
| Set clip rectangle. More...
def | SetColorState (color_state)
| Set color state. More...
def | SetFillColor (color)
| Set the fill color. More...
def | SetFillOpacity (opacity)
| Set the opacity value for painting operations other than stroking. More...
def | SetGraphState (graph_state)
| Set graph state. More...
def | SetMatrix (matrix)
| Set matrix. More...
def | SetStrokeColor (color)
| Set the stroke color. More...
def | SetStrokeOpacity (opacity)
| Set opacity value for stroke painting operations for paths and glyph outlines. More...
def | Transform (matrix, need_transform_clippath)
| Transform current graphics object. More...

## Static Public Member Functions
def | Create (document)
| Create a new form XObject graphics object. More...

## Additional Inherited Members
Static Public Attributes inherited from FoxitPDFSDKPython3.GraphicsObject
| e_BlendColor = _fsdk.GraphicsObject_e_BlendColor
| Creates a color with the hue and saturation of the source color, and the luminosity of the backdrop color. More...
| e_BlendColorBurn = _fsdk.GraphicsObject_e_BlendColorBurn
| Darkens backdrop color to reflect the source color. More...
| e_BlendColorDodge = _fsdk.GraphicsObject_e_BlendColorDodge
| Brightens backdrop color to reflect source colors. More...
| e_BlendDarken = _fsdk.GraphicsObject_e_BlendDarken
| Select darker one of backdrop and source colors. More...
| e_BlendDifference = _fsdk.GraphicsObject_e_BlendDifference
| Subtracts the darker of the two constituent colors from lighter colors. More...
| e_BlendExclusion = _fsdk.GraphicsObject_e_BlendExclusion
| Creates a color with the hue of the source color, and the saturation and luminosity of the backdrop color. More...
| e_BlendHardlight = _fsdk.GraphicsObject_e_BlendHardlight
| Multiply or screens colors, depending on source color value. More...
| e_BlendHue = _fsdk.GraphicsObject_e_BlendHue
| Creates a color with the hue of the source color, and the saturation and luminosity of the backdrop color. More...
| e_BlendLighten = _fsdk.GraphicsObject_e_BlendLighten
| Select lighter one of backdrop and source colors. More...
| e_BlendLuminosity = _fsdk.GraphicsObject_e_BlendLuminosity
| Creates a color with the luminosity of the source color, and the hue and saturation of the backdrop color. More...
| e_BlendMultiply = _fsdk.GraphicsObject_e_BlendMultiply
| Multiply backdrop by source color values. More...
| e_BlendNormal = _fsdk.GraphicsObject_e_BlendNormal
| Selecting source color and ignoring backdrop color. More...
| e_BlendOverlay = _fsdk.GraphicsObject_e_BlendOverlay
| Multiply or screens colors, depending on backdrop color value. More...
| e_BlendSaturation = _fsdk.GraphicsObject_e_BlendSaturation
| Creates a color with the saturation of the source color, and the hue and luminosity of the backdrop color. More...
| e_BlendScreen = _fsdk.GraphicsObject_e_BlendScreen
| Multiply complements of backdrop by source color values, and then complement the result. More...
| e_BlendSoftlight = _fsdk.GraphicsObject_e_BlendSoftlight
| Darkens or lightens colors, depending on source color value. More...
| e_TypeAll = _fsdk.GraphicsObject_e_TypeAll
| Represents all graphics object types, only used as filter.
| e_TypeEmptyMarkedContent = _fsdk.GraphicsObject_e_TypeEmptyMarkedContent
| Empty marked-content object.
| e_TypeFormXObject = _fsdk.GraphicsObject_e_TypeFormXObject
| Form XObject graphics object.
| e_TypeImage = _fsdk.GraphicsObject_e_TypeImage
| Image graphics object.
| e_TypeInlines = _fsdk.GraphicsObject_e_TypeInlines
| Inline graphics object.
| e_TypePath = _fsdk.GraphicsObject_e_TypePath
| Path graphics object.
| e_TypeShading = _fsdk.GraphicsObject_e_TypeShading
| Shading graphics object.
| e_TypeText = _fsdk.GraphicsObject_e_TypeText
| Text graphics object.

## Detailed Description

A form XObject is not only a graphics object, but also a container. A form XObject consists of a set of graphics objects or sub form XObjects. Form XObject is a kind of PDF graphics object, so class FoxitPDFSDKPython3.FormXObject is derived from class GraphicsObject . It offers functions to get/set form XObject's data.
To create a new form XObject graphics object, please use function FoxitPDFSDKPython3.PathObject.Create and then import page content to the new form XObject, or insert new graphics object to form XObject through FoxitPDFSDKPython3.GraphicsObjects object returned by function FoxitPDFSDKPython3.FormXObject.GetGraphicsObjects .

See also
  GraphicsObject

## Member Function Documentation

## ◆ Create()

FoxitPDFSDKPython3.FormXObject.Create | ( |  | document | ) |
| static

Create a new form XObject graphics object.

The newly created form XObject graphics object does not have any data yet. Then, setting functions can be called to set data to the new form XObject graphics object. If the newly created form XObject will not inserted to any page or other objects, please remember to call function FoxitPDFSDKPython3.GraphicsObject.Release to release it when no use.

Parameters

  [in] | document | A valid PDF document object. The new form XObject graphics object should be inserted to one page of this PDF document then.

Returns
  A new form XObject. If there is any error, this function will return null.

## ◆ GetGraphicsObjects()

def FoxitPDFSDKPython3.FormXObject.GetGraphicsObjects | ( |  | ) |

Get graphics objects that associated with current form XObject.

Returns
  A FoxitPDFSDKPython3.GraphicsObjects object.

## ◆ GetStream()

def FoxitPDFSDKPython3.FormXObject.GetStream | ( |  | ) |

Get stream.

Returns
  A FoxitPDFSDKPython3.PDFStream that represents the stream data of current form XObject. If there is any error, this function will return null.

## ◆ ImportPageContent()

def FoxitPDFSDKPython3.FormXObject.ImportPageContent | ( |  | source_page,
|  |  | is_annots_included
| ) |  |

Import page content from a specified PDF page to current form XObject.

If this function succeeds, the boundary box of current form XObject will be the same as page's size.

Parameters

  [in] | source_page | A valid PDF page object that represents the source PDF page whose content will be imported to current form XObject.
  [in] | is_annots_included | true means annotations should be included with the content of parameter source_page. false means annotations should be ignored from the content of parameter source_page.

Returns
  true means success, while false means failure.

Note
  When this function succeeds, function FoxitPDFSDKPython3.GraphicsObjects.GenerateContent should be called. Please refer to function FoxitPDFSDKPython3.GraphicsObjects.GenerateContent for more details.